# Build examples
%bcond_without examples
# Build demos
%bcond_without demos
%define snap 20111209

%define major 1

Name:           qt-mobility
Summary:        Qt Mobility Framework
Group:          Development/Other
Version:        1.2.0
Release:        %mkrel 5
License:        LGPLv2 with exceptions
URL:            http://qt.nokia.com/products/qt-addons/mobility 
%if 0%{?snap:1}
# git clone git://gitorious.org/qt-mobility/qt-mobility.git
# cd qt-mobility; git archive --prefix=qt-mobility-opensource-src-1.2.0/ master | xz -9 >  qt-mobility-opensource-src-1.2.0-20111209.tar.xz
Source0: qt-mobility-opensource-src-1.2.0-%{snap}.tar.xz
%else
Source0: http://get.qt.nokia.com/qt/add-ons/qt-mobility-opensource-src-%{version}.tar.gz
%endif
Patch1:         qt-mobility-opensource-src-1.1.0-pulseaudio-lib.patch
Patch2:         qt-mobility-opensource-src-1.2.0-pgkconfig.patch
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(blkid)
#BuildRequires:  pkgconfig(gstreamer-plugins-bad-0.10)
BuildRequires:  pkgconfig(gstreamer-app-0.10)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(xrandr) 
BuildRequires:  pkgconfig(NetworkManager)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtOpenGL)
BuildRequires:  chrpath
# Need to build documentation
BuildRequires:  qt4-qdoc3
BuildRequires:  qt4-assistant
# this is still under tests and needs review
#BuildRequires:	qmf-devel



%description
Qt Mobility Project delivers a set of new APIs to Qt with features that are well
known from the mobile device world, in particular phones. However, these APIs
allow the developer to use these features with ease from one framework and apply
them to phones, netbooks and non-mobile personal computers. The framework not
only improves many aspects of a mobile experience, because it improves the use
of these technologies, but has applicability beyond the mobile device arena.

%files
%doc LICENSE.LGPL LGPL_EXCEPTION.txt
%{_qt4_importdir}/QtMobility/
%{_qt4_importdir}/QtMultimediaKit/
%{_qt4_plugindir}/audio/
%{_qt4_plugindir}/contacts/
%{_qt4_plugindir}/feedback/
%{_qt4_plugindir}/geoservices/
%{_qt4_plugindir}/landmarks/
%{_qt4_plugindir}/mediaservice/
%{_qt4_plugindir}/playlistformats/
%{_qt4_plugindir}/sensors/
%{_qt4_plugindir}/serviceframework/
%{_qt4_plugindir}/versit/

#--------------------------------------------------------------------
%define libqtbearer %mklibname qtbearer %major

%package -n %{libqtbearer}
Summary:        Qt Mobility Framework library
Group:          System/Libraries

%description -n %{libqtbearer}
Qt Mobility Framework library.

%files -n %{libqtbearer}
%{_qt4_libdir}/libQtBearer.so.%{major}*

#--------------------------------------------------------------------
%define libqtcontacts %mklibname qtcontacts %major

%package -n %{libqtcontacts}
Summary:        QtContacts runtime library
Group:          System/Libraries

%description -n %{libqtcontacts}
The QtContacts module offers classes that allow you to manage addressbook
contacts

This package provides the runtime library.

%files -n %{libqtcontacts}
%{_qt4_libdir}/libQtContacts.so.%{major}*

#--------------------------------------------------------------------
%define libqtconnectivity %mklibname qtconnectivity %major

%package -n %{libqtconnectivity}
Summary:        QtConnectivity runtime library
Group:          System/Libraries

%description -n %{libqtconnectivity}
The QtConnectivity module provides APIs for working with local devices.

This package provides the runtime library.

%files -n %{libqtconnectivity}
%{_qt4_libdir}/libQtConnectivity.so.%{major}*

#--------------------------------------------------------------------
%define libqtfeedback %mklibname qtfeedback %major

%package -n %{libqtfeedback}
Summary:    QtFeedback runtime library
Group:      System/Libraries

%description -n %{libqtfeedback}
The QtFeedback module offers classes that allow you to manage tactile feedback 
and device vibration.

%files -n %{libqtfeedback}
%{_qt4_libdir}/libQtFeedback.so.%{major}*



#--------------------------------------------------------------------
%define libqtgallery %mklibname qtgallery %major

%package -n %{libqtgallery}
Summary:    QtGallery runtime library
Group:      System/Libraries

%description -n %{libqtgallery}
The QtGallery module provides access to a gallery of documents.

This package provides the runtime library.


%files -n %{libqtgallery}
%{_qt4_libdir}/libQtGallery.so.%{major}*

#--------------------------------------------------------------------
%define libqtlocation %mklibname qtlocation %major

%package -n %{libqtlocation}
Summary:     QtLocation runtime library
Group:       System/Libraries

%description -n %{libqtlocation}
The QtLocation module provides geographical support for position and map use.

This package provides the runtime library.

%files -n %{libqtlocation}
%{_qt4_libdir}/libQtLocation.so.%{major}*

#--------------------------------------------------------------------
%define libqtmultimediakit %mklibname qtmultimediakit %major

%package -n %{libqtmultimediakit}
Summary:        QtMultimediaKit runtime library
Group:          System/Libraries

%description -n %{libqtmultimediakit}
This module delivers an easy to use interface to multimedia functions.
The developer is able to render images, video and sound and record sound in a 
variety of formats.

This package provides the runtime library.

%files -n %{libqtmultimediakit}
%{_qt4_libdir}/libQtMultimediaKit.so.%{major}*

#--------------------------------------------------------------------
%define libqtorganizer %mklibname qtorganizer %major

%package -n %{libqtorganizer}
Summary:     QtOrganizer runtime library
Group:       System/Libraries

%description -n %{libqtorganizer}
The QtOrganizer module offers classes that allow you to manage calendar, 
scheduling and personal data.

This package provides the runtime library.

%files -n %{libqtorganizer}
%{_qt4_libdir}/libQtOrganizer.so.%{major}*

#--------------------------------------------------------------------
%define libqtpublishsubscribe %mklibname qtpublishsubscribe %major

%package -n %{libqtpublishsubscribe}
Summary:        QtPublishSubscribe runtime library
Group:          System/Libraries

%description -n %{libqtpublishsubscribe}
The Publish and Subscribe API, containing Value Space, enables applications to
read item values, navigate through and subscribe to change notifications.

This package provides the runtime library.

%files -n %{libqtpublishsubscribe}
%{_qt4_libdir}/libQtPublishSubscribe.so.%{major}*

#--------------------------------------------------------------------
%define libqtsensors %mklibname qtsensors %major

%package -n %{libqtsensors}
Summary:        QtSensors runtime library
Group:          System/Libraries

%description -n %{libqtsensors}
The QtSensors module offers classes that allow you to access sensor information
ike accelerometer and orientation.

This package provides the runtime library.

%files -n %{libqtsensors}
%{_qt4_libdir}/libQtSensors.so.%{major}*

#--------------------------------------------------------------------
%define libqtserviceframework %mklibname qtserviceframework %major

%package -n %{libqtserviceframework}
Summary:    QtServiceFramework runtime library
Group:      System/Libraries

%description -n %{libqtserviceframework}
A set of Qt APIs to that allows clients to discover and instantiate arbitrary
services.

This package provides the runtime library.

%files -n %{libqtserviceframework}
%{_qt4_libdir}/libQtServiceFramework.so.%{major}*

#--------------------------------------------------------------------
%define libqtsysteminfo %mklibname qtsysteminfo %major

%package -n %{libqtsysteminfo}
Summary:        QtSystemInfo runtime library
Group:          System/Libraries

%description -n %{libqtsysteminfo}
A set of APIs that supplies that supplies system information.

This package provides the runtime library.

%files -n %{libqtsysteminfo}
%{_qt4_libdir}/libQtSystemInfo.so.%{major}*

#--------------------------------------------------------------------
%define libqtversit %mklibname qtversit %major

%package -n %{libqtversit}
Summary:     QtVersit runtime library
Group:       System/Libraries

%description -n %{libqtversit}
The QtVersit module allows the management of Versit documents including 
as vCards.

This package provides the runtime library.

%files -n %{libqtversit}
%{_qt4_libdir}/libQtVersit.so.%{major}*

#--------------------------------------------------------------------
%define libqtversitorganizer %mklibname qtversitorganizer %major

%package -n %{libqtversitorganizer}
Summary:     QtVersit module library
Group:       System/Libraries

%description -n %{libqtversitorganizer}
The QtVersit module allows the management of Versit documents including 
as vCards..

This package provides the runtime library.

%files -n %{libqtversitorganizer}
%{_qt4_libdir}/libQtVersitOrganizer.so.%{major}*

#--------------------------------------------------------------------
%define libnamedev %mklibname %name -d

%package -n %{libnamedev}
Summary:     Qt Mobility Framework development files
Group:       Development/KDE and Qt 
Provides:    %{name}-devel = %{version}-%{release}
Conflicts:   %{mklibname %name 1} < 1.2.0-2
Requires:   %{name} = %{version}-%{release}
Requires:   %{libqtversitorganizer} = %{version}-%{release}
Requires:   %{libqtversit} = %{version}-%{release}
Requires:   %{libqtsysteminfo} = %{version}-%{release}
Requires:   %{libqtserviceframework} = %{version}-%{release}
Requires:   %{libqtsensors} = %{version}-%{release}
Requires:   %{libqtpublishsubscribe} = %{version}-%{release}
Requires:   %{libqtorganizer} = %{version}-%{release}
Requires:   %{libqtmultimediakit} = %{version}-%{release}
Requires:   %{libqtgallery} = %{version}-%{release}
Requires:   %{libqtfeedback} = %{version}-%{release}
Requires:   %{libqtconnectivity} = %{version}-%{release}
Requires:   %{libqtcontacts} = %{version}-%{release}
Requires:   %{libqtbearer} = %{version}-%{release}


%description -n %{libnamedev}
Development files to build applications that use Qt Mobility.

%files -n %{libnamedev}
%{_qt4_bindir}/icheck
%{_qt4_bindir}/ndefhandlergen
%{_qt4_bindir}/qcrmlgen
%{_qt4_bindir}/servicedbgen
%{_qt4_bindir}/servicefw
%{_qt4_bindir}/servicexmlgen
%{_qt4_bindir}/vsexplorer
%{_qt4_datadir}/mkspecs/features/mobility.prf
%{_qt4_datadir}/mkspecs/features/mobilityconfig.prf 
%{_qt4_includedir}/Qt*/
%{_qt4_libdir}/libQt*.prl
%{_qt4_libdir}/libQt*.so
%{_libdir}/pkgconfig/QtBearer.pc
%{_libdir}/pkgconfig/QtConnectivity.pc
%{_libdir}/pkgconfig/QtContacts.pc
%{_libdir}/pkgconfig/QtFeedback.pc
%{_libdir}/pkgconfig/QtGallery.pc
%{_libdir}/pkgconfig/QtLocation.pc
%{_libdir}/pkgconfig/QtMultimediaKit.pc
%{_libdir}/pkgconfig/QtOrganizer.pc
%{_libdir}/pkgconfig/QtPublishSubscribe.pc
%{_libdir}/pkgconfig/QtSensors.pc
%{_libdir}/pkgconfig/QtServiceFramework.pc
%{_libdir}/pkgconfig/QtSystemInfo.pc
%{_libdir}/pkgconfig/QtVersit.pc
%{_libdir}/pkgconfig/QtVersitOrganizer.pc

#--------------------------------------------------------------------

%package doc
Summary:        Qt Mobility API documentation
Group:          Books/Howtos
BuildArch:      noarch
Suggests:       qt4-doc

%description doc
API documentation files for Qt Mobility.

%files doc
%{_docdir}/html/qtmobility/

#--------------------------------------------------------------------
%if %with examples

%package examples
Summary:       Qt Mobility Framework examples
Group:         System/X11

%description examples
Example files for the Qt Mobility Framework.

%files examples
%{_qt4_bindir}/accel
%{_qt4_bindir}/annotatedurl
%{_qt4_bindir}/arrowkeys
%{_qt4_bindir}/audiodevices
%{_qt4_bindir}/audioinput
%{_qt4_bindir}/audiooutput
%{_qt4_bindir}/audiorecorder
%{_qt4_bindir}/battery-publisher
%{_qt4_bindir}/battery-subscriber/
%{_qt4_bindir}/bearercloud
%{_qt4_bindir}/bearermonitor
%{_qt4_bindir}/btchat
%{_qt4_bindir}/btfiletransfer
%{_qt4_bindir}/btscanner
%{_qt4_bindir}/bttennis
%{_qt4_bindir}/calendardemo
%{_qt4_bindir}/camera
%{_qt4_bindir}/cubehouse
%{_qt4_bindir}/declarative-music-browser
%{_qt4_bindir}/dialer_service
%{_qt4_bindir}/documentproperties
%{_qt4_bindir}/flickrdemo
%{_qt4_bindir}/hapticsplayer
%{_qt4_bindir}/hapticsquare
%{_qt4_bindir}/grueapp
%{_qt4_bindir}/landmarkbrowser
%{_qt4_bindir}/logfilepositionsource
%{_qt4_bindir}/mapsdemo
%{_qt4_bindir}/mediabrowser
%{_qt4_bindir}/metadata
%{_qt4_bindir}/metadata2
%{_qt4_bindir}/moreplaces.lmx
%{_qt4_bindir}/mylm.lmx
%{_qt4_bindir}/ndefeditor
%{_qt4_bindir}/nmealog.txt
%{_qt4_bindir}/orientation
%{_qt4_bindir}/places.gpx
%{_qt4_bindir}/publish-subscribe
%{_qt4_bindir}/qml_battery
%{_qt4_bindir}/qml_battery2
%{_qt4_bindir}/qml_camera
%{_qt4_bindir}/qml_device
%{_qt4_bindir}/qml_landmarkmap
%{_qt4_bindir}/qml_location_flickr
%{_qt4_bindir}/qml_mapviewer
%{_qt4_bindir}/qml_networkinfo
%{_qt4_bindir}/qml_poster
%{_qt4_bindir}/qml_scanner
%{_qt4_bindir}/qml_storageinfo
%{_qt4_bindir}/qml_tennis
%{_qt4_bindir}/qmldialer
%{_qt4_bindir}/qmlnotes
%{_qt4_bindir}/qmlorganizer
%{_qt4_bindir}/qsysinfo
%{_qt4_bindir}/qsystemalignedtimer
%{_qt4_bindir}/radio
%{_qt4_bindir}/samplephonebook
%{_qt4_bindir}/sensor_explorer
%{_qt4_bindir}/servicebrowser
%{_qt4_bindir}/sfw-notes
%{_qt4_bindir}/sfwecho_client
%{_qt4_bindir}/sfwecho_service
%{_qt4_bindir}/show_acceleration
%{_qt4_bindir}/show_als
%{_qt4_bindir}/show_compass
%{_qt4_bindir}/show_gyroscope
%{_qt4_bindir}/show_light
%{_qt4_bindir}/show_magneticflux
%{_qt4_bindir}/show_orientation
%{_qt4_bindir}/show_proximity
%{_qt4_bindir}/show_reflectance
%{_qt4_bindir}/show_rotation
%{_qt4_bindir}/show_tap
%{_qt4_bindir}/simplelog.txt
%{_qt4_bindir}/slideshow
%{_qt4_bindir}/todo
%{_qt4_bindir}/videographicsitem
%{_qt4_bindir}/videowidget
%{_qt4_bindir}/xmldata/
%{_qt4_plugindir}/sensors/libqtsensors_grueplugin.so
%{_qt4_plugindir}/serviceframework/libserviceframework_bluetoothtransferplugin.so
%{_qt4_plugindir}/serviceframework/libserviceframework_filemanagerplugin.so
%{_qt4_plugindir}/serviceframework/libserviceframework_landlinedialerservice.so
%{_qt4_plugindir}/serviceframework/libserviceframework_notesmanagerplugin.so
%{_qt4_plugindir}/serviceframework/libserviceframework_voipdialerservice.so
%endif

#--------------------------------------------------------------------

%if %with demos

%package demos
Summary:   Qt Mobility Framework demos
Group:     System/X11

%description demos
Example files for the Qt Mobility Framework.

%files demos
%{_qt4_bindir}/lightmaps_with_location
%{_qt4_bindir}/player
%{_qt4_bindir}/qmlcontacts
%{_qt4_bindir}/smallsensors
%{_qt4_bindir}/weatherinfo_with_location
%endif

#--------------------------------------------------------------------

%prep
%setup -qn %{name}-opensource-src-%{version}
%apply_patches

%build
PATH="%{_qt4_bindir}:$PATH" ; export PATH

./configure \
    -prefix %{_qt4_datadir} \
    -libdir %{_qt4_libdir} \
    -plugindir %{_qt4_plugindir} \
    -headerdir %{_qt4_includedir} \
    %{?with_examples:-examples} \
    %{?with_demos:-demos}

%make
%make qch_docs

%install
%makeinstall INSTALL_ROOT=%{buildroot} 

# install docs
install -d -m 755 %{buildroot}%{_docdir}/html/qtmobility/
cp -a doc/html/* %{buildroot}%{_docdir}/html/qtmobility/

chrpath --delete %{buildroot}%{_bindir}/* ||:
chrpath --delete %{buildroot}%{_qt4_libdir}/libQt*.so ||:
chrpath --delete %{buildroot}%{_qt4_plugindir}/*/*.so ||:
chrpath --delete %{buildroot}%{_qt4_importdir}/*/*.so ||:
chrpath --delete %{buildroot}%{_qt4_importdir}/*/*/*.so ||:


%changelog

* Wed Jan 25 2012 mikala <mikala> 1.2.0-5.mga2
+ Revision: 200680
- Rebuild for Qt4.8 (new qtprefix)

* Tue Dec 27 2011 dmorgan <dmorgan> 1.2.0-4.mga2
+ Revision: 188020
- Fix install of header files
- Rebuild against new qt4 and new include path

* Sun Dec 11 2011 mikala <mikala> 1.2.0-3.mga2
+ Revision: 180486
- Use pkconfig() for BuildRequires
- Remove wrong provides
- Fix requires in -devel package
- Clean/order spec (put %%description before %%files, remove %%defattr())
- use chrpath
- remove macros provided by qt4 package
- Add missing build requires to build documentation
- Update tarball
- Add patch from fedora to build pkconfig() for qt-mobility-devel
- Update description/summary for several subpackages

  + ze <ze>
    - chrpath is not needed
    - qmf is optionally builrequired but still needs to be reviewed
    - fix groups
    - easy way to handle all libraries dependencies
    - set require to release since libraries were splitted
    - fix lib package names
    - add missing conflict due to split libraries
    - split libraries
    - add missing buildrequire libxrandr-devel
    - list plugins directories
    - Adding missing provides
    - imported package qt-mobility


* Sun Jul 24 2011 Zé <ze@mageia.org> 1.2.0-1
- first package
